<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Cache-Control" content="no-cache">
<meta http-equiv="Content-Type" CONTENT="text/html; charset=UTF-8">
<title>Редактор txt/js файлов</title>
<style type="text/css">body {font-family: sans-serif}</style></head><body> <div>
</head>
<?
error_reporting(0);
if(ereg('../',''.$rec.'')){ exit('<span style="color:green">Доступ запрещен!</span>'); }
if(ereg('/',''.$rec.'')){ exit('<span style="color:green">Доступ запрещен!</span>'); }
if (!$do) {
if (!$rec) exit('Файл не найден');
print '<form action="RED_wri997nH.php?do=ok" method="post">';
$file_r=@file("$rec");
if (!$file_r) exit('<span style="color:green"><strong>Файл с таким названием, не найден!</strong></span>');
$r=rand(1,999);
print '<span style="color:green"><strong>Название</strong></span>: '.$rec.'';
print '<br/><a href="files/'.$rec.'"><span style="color:green">Скачать файл</span></a>';
print '<br/><a href="arhiver.php?rec='.$rec.'">Добавить в архив</a>';
if(ereg('.html',''.$rec.'')){ print '<br/><a href="files/'.$rec.'?'.$r.'=prosmotr">Просмотр страницы</a>';}
print '<br/><span style="color:green"><strong>Редактировать</strong></span>';
$re=file_get_contents("$rec");
print '<br/><textarea name="txt" rows="30" cols="104" style="color:green">
'.$re.'
</textarea>';
print '<br/><input type="hidden" name="rec" value="'.$rec.'"><input type="submit" value="Сохранить изменения" style="color:black">';
}else{
print '<span style="color:green">Файл - '.$rec.' изменен!<br/><a href="?rec='.$rec.'">Назад</a>';
$fp=@fopen("$rec","w");
fwrite($fp, "$txt");
fclose($fp);
}
?>
</body>
</html>